# DXGfxLib.IDrawable Interface Reference

This interface should be implemented by all classes that want the ability to be drawn. It derives from IComparable as we want the ability to sort these objects before rendering in order to minimize state changes for the video card and unecessary loading and unloading of effects. More...

Inherited by DXGfxLib.Batch, DXGfxLib.Batch, DXGfxLib.SceneObject, and DXGfxLib.SceneObject.

List of all members.

## Public Member Functions
void | Draw (Microsoft.DirectX.Direct3D.Device device)
| Each class that want to draw on screen certainly want to have some control over what will be drawn, this is done through this method.
void | SetEffectsValues (Device d3ddevice, Effect eff, int pass)
| Classes that want to draw on screen might need to set some values for the effect used to draw them. That is the purpose of this method. Technically this could be done in Draw but I prefered to have to separated methods.
void | Draw (Microsoft.DirectX.Direct3D.Device device)
| Each class that want to draw on screen certainly want to have some control over what will be drawn, this is done through this method.
void | SetEffectsValues (Device d3ddevice, Effect eff, int pass)
| Classes that want to draw on screen might need to set some values for the effect used to draw them. That is the purpose of this method. Technically this could be done in Draw but I prefered to have to separated methods.
## Properties
EffectGroup | AssociatedEffectGroup`[get, set]`
| Each class that need to be drawn should have an associatedEffectGroup.
bool | Hide`[get, set]`
| Some time it might be desirable not to show an object even if it is in the frustrum.

## Detailed Description

This interface should be implemented by all classes that want the ability to be drawn. It derives from IComparable as we want the ability to sort these objects before rendering in order to minimize state changes for the video card and unecessary loading and unloading of effects.

Definition at line 33 of file IDrawable.cs.

## Member Function Documentation

void DXGfxLib.IDrawable.Draw | ( | Microsoft.DirectX.Direct3D.Device | device | ) |

Each class that want to draw on screen certainly want to have some control over what will be drawn, this is done through this method.

Parameters:

  | device |

void DXGfxLib.IDrawable.Draw | ( | Microsoft.DirectX.Direct3D.Device | device | ) |

Each class that want to draw on screen certainly want to have some control over what will be drawn, this is done through this method.

Parameters:

  | device |

void DXGfxLib.IDrawable.SetEffectsValues | ( | Device | d3ddevice,
|  | Effect | eff,
|  | int | pass |
| ) |  |  |

Classes that want to draw on screen might need to set some values for the effect used to draw them. That is the purpose of this method. Technically this could be done in Draw but I prefered to have to separated methods.

Parameters:

  | d3ddevice |
  | eff |
  | pass |

Implemented in DXGfxLib.Batch, DXGfxLib.SceneObject, DXGfxLib.TerrainTile, DXGfxLib.Batch, DXGfxLib.SceneObject, and DXGfxLib.TerrainTile.

void DXGfxLib.IDrawable.SetEffectsValues | ( | Device | d3ddevice,
|  | Effect | eff,
|  | int | pass |
| ) |  |  |

Classes that want to draw on screen might need to set some values for the effect used to draw them. That is the purpose of this method. Technically this could be done in Draw but I prefered to have to separated methods.

Parameters:

  | d3ddevice |
  | eff |
  | pass |

Implemented in DXGfxLib.Batch, DXGfxLib.SceneObject, DXGfxLib.TerrainTile, DXGfxLib.Batch, DXGfxLib.SceneObject, and DXGfxLib.TerrainTile.

## Property Documentation

EffectGroup DXGfxLib.IDrawable::AssociatedEffectGroup`[get, set]`

Each class that need to be drawn should have an associatedEffectGroup.

Implemented in DXGfxLib.Batch, and DXGfxLib.SceneObject.

Definition at line 38 of file IDrawable.cs.

bool DXGfxLib.IDrawable::Hide`[get, set]`

Some time it might be desirable not to show an object even if it is in the frustrum.

Implemented in DXGfxLib.Batch, and DXGfxLib.SceneObject.

Definition at line 43 of file IDrawable.cs.

The documentation for this interface was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/IDrawable.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/IDrawable.cs